%define name 	PyQt
%define version 3.14.1
%define release 1mdk

# py_ver, because modules have to be recompiled for another Python version
%define py_ver 	%pyver

Summary:	Python bindings for Qt
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL QPL
Group:		Development/Python
Source:		http://www.river-bank.demon.co.uk/download/PyQt/%{name}-x11-gpl-%{version}.tar.bz2
URL:		http://www.riverbankcomputing.co.uk/pyqt
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	sip-devel qscintilla-devel sip python-devel
Requires:	sip >= 4.1.1 python

%description
Python bindings for the Qt C++ class library.

%package devel
Summary: 	SIP specification files for Qt
Group: 		Development/Python
Requires:	%name = %version

%description devel
The SIP specification files for the Qt class library.

%prep
%setup -q -n %name-x11-gpl-%version

%build
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages
python configure.py <<EOF
    yes
    EOF
# note that -j2 does not work
make

%install
%makeinstall_std
mkdir -p %buildroot/%_datadir/sip/qt
cp -r sip/* %buildroot/%_datadir/sip/qt/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc NEWS README ChangeLog THANKS
%doc doc/PyQt.html
%{_bindir}/*
%{_libdir}/python%{py_ver}/site-packages/*

%files devel
%defattr(-,root,root)
%doc examples*
%{_datadir}/sip/*

%changelog
* Mon Mar 07 2005 Austin Acton <austin@mandrake.org> 3.14.1-1mdk
- New release 3.14.1

* Sun Feb 20 2005 Austin Acton <austin@mandrake.org> 3.14-1mdk
- 3.14

* Sun Feb 20 2005 Till Kamppeter <till@mandrakesoft.com> 3.13-3mdk
- Rebuild for sip 4.2.

* Tue Feb  1 2005 Till Kamppeter <till@mandrakesoft.com> 3.13-2mdk
- Rebuild for sip 4.1.1.

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 3.13-1mdk
- New release 3.13

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 3.12-3mdk
- Rebuild for new python

* Tue Sep 21 2004 Michael Scherer <misc@mandrake.org> 3.12-2mdk
- Rebuild for new qtscintilla

* Tue Jun 8 2004 Austin Acton <austin@mandrake.org> 3.12-1mdk
- 3.12
- move examples to devel package

* Mon Mar 22 2004 Austin Acton <austin@mandrake.org> 3.8-4mdk
- remove requirement on devel packages (bug 8919, Michael Scherer)

* Fri Feb 27 2004 Austin Acton <ausitn@mandrake.org> 3.8-3mdk
- move back to python 2.3 directory (Jan Ciger)

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 3.8-1mdk
- 3.8
- libqscintilla3
- regenerate patch

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.6-10mdk
- me suckysucky long time, really rebuild against new python
- make sure to use %%py_ver macro in stead of hardcoding version in path

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.6-9mdk
- rebuild for new python

* Sat Jul 19 2003 Till Kamppeter <till@mandrakesoft.com> 3.6-8mdk
- Rebuild
- BuildRequires: sip

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.6-7mdk
- fix path to qt3 (lib64 issues..)

* Tue May 27 2003 Austin Acton <aacton@yorku.ca> 3.6-6mdk
- rebuild agains libqscintilla2

* Thu May 1 2003 Austin Acton <aacton@yorku.ca> 3.6-5mdk
- rebuild for qt 3.1.2

* Thu May 1 2003 Austin Acton <aacton@yorku.ca> 3.6-4mdk
- new patch didn't work; go to original patch and require libqt3-devel
- add devel package full of sip files (needed for pykde)

* Wed Apr 29 2003 Austin Acton <aacton@yorku.ca> 3.6-3mdk
- fix patch to exclude qassistant from build
- add qscintilla support

* Tue Apr 29 2003 Austin Acton <aacton@yorku.ca> 3.6-2mdk
- add patch to remove references to QT styles we don't have
  (otherwise python won't import this)
- requires libsip-devel to run (stupid call to libsip.so)

* Tue Apr 29 2003 Austin Acton <aacton@yorku.ca> 3.6-1mdk
- 3.6
- cleanup spec and requires
- fix license
- add some missing files, remove qt2 files
- answer yes during setup using Per Oyvind's trick

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5-1mdk
- 3.5

* Mon Apr 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.1-1mdk
- version 3.1.
- Update URL.
- Update python version.
- Macroize.
- Quiet the setup

* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- fix build 
- updated by RA <Ralf_Ahlbrink@web.de> :
	- upgrade to 2.5

* Fri Jun 01 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.4-1mdk
- upgrade to 2.4

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- used sprm from  Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>

* Sun Feb 04 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.3-2mgv
- tweak %%files

* Tue Oct 10 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.2-1mgv
- mandrakization for 7.2

